Show / Hide Table of Contents

# Class PluginLoader.PluginInfo

A container object for all the data relating to a plugin.

##### Inheritance

Object
PluginLoader.PluginInfo

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public class PluginInfo

### Properties

| Improve this Doc View Source

#### Metadata

Metadata for the plugin.

##### Declaration

    public PluginLoader.PluginMetadata Metadata { get; }

##### Property Value

Type | Description
--- | ---
PluginLoader.PluginMetadata | the metadata for this plugin

### Extension Methods

ReflectionUtil.SetPrivateField(Object, String, Object)
ReflectionUtil.GetPrivateField<T>(Object, String)
ReflectionUtil.SetPrivateProperty(Object, String, Object)
ReflectionUtil.InvokePrivateMethod(Object, String, Object[])
ReflectionUtil.InvokePrivateMethod<T>(Object, String, Object[])